export function WindowModelObjectComponent(options: any, renderController: any, apiController: any, contextMenuEnabled: any): void;
export class WindowModelObjectComponent {
    constructor(options: any, renderController: any, apiController: any, contextMenuEnabled: any);
    toolId: 3;
    onhideupdate: () => Promise<void>;
    onselectedupdated: (selectedNodeIds: any) => Promise<void>;
    onobjectselectedfrommodel: (payload: any) => Promise<void>;
    renderController: any;
    apiController: any;
    renderReady: boolean;
    propertiesReady: boolean;
    propertiesStatus: number;
    objectTreeRowStates: {};
    rootNodeId: any;
    globalObjectsLabel: HTMLDivElement | null;
    lastNodeSelected: number;
    contextMenuEnabled: any;
    rowMinWidth: number;
    inputs: any;
    globalObjectsContainer: HTMLDivElement | null;
    virtualizedList: VirtualizedList;
    searchTerm: string;
    objectTreeResults: any;
    objectTreeUpdated(payload: any): Promise<void>;
    CreateSearchContent(): void;
    searchComponent: SearchInput | undefined;
    showGhosting(): void;
    hideGhosting(): void;
    resetFilteredState(): void;
    onSearchChange(searchTerm: any): Promise<void>;
    onSearchClear(): Promise<void>;
    onSearch(searchTerm: any): Promise<void>;
    OnClose(): void;
    updateRowMinWidth(): void;
    updateWindowSize(): void;
    createAllObjectsHtml(): HTMLDivElement;
    createAllObjectsCheckbox(): HTMLDivElement;
    createAllObjectsCollapse(): HTMLDivElement;
    createAllObjectsLabel(): HTMLDivElement;
    createAllObjectsVisibility(): HTMLDivElement;
    createRow(nodeId: any): Promise<HTMLDivElement>;
    createCheckboxElement(node: any): HTMLDivElement;
    createLabelElement(node: any): HTMLDivElement;
    createVisibilityElement(node: any): HTMLDivElement;
    createChevyElement(node: any): HTMLDivElement;
    setupRowClick(clickableRowElement: any): void;
    handleRowClick(nodeId: any): Promise<void>;
    viewerReady(): Promise<void>;
    propertyServiceAlert: WindowAlertComponent | undefined;
    onGetBimObjectsFor(response: any): Promise<void>;
    onPropertiesCheck(data: any): void;
    onRenderReady(): void;
    onChevronClicked(nodeId: any): Promise<void>;
    hiddenUpdated(): Promise<void>;
    selectedUpdated(selectedNodeIds: any): Promise<void>;
    objectSelectedFromModel(payload: any): Promise<void>;
    createFooterHtml(): void;
    createSelectedLabel(): HTMLDivElement;
    createActionsButton(): HTMLDivElement;
    getActionsButton(): HTMLElement | null;
    getObjectsSelectedLabel(): HTMLElement | null;
    setObjectsSelectedLabel(count: any): void;
    setLastNodeSelected(nodeId: any): void;
    refreshVisible(): Promise<void>;
    requestObjectNames(nodeIds: any): void;
    openObject(node: any): Promise<void>;
    closeObject(nodeId: any): Promise<void>;
    addToObjectRowState(node: any): void;
    updateGlobalSelection(): Promise<void>;
    updateGlobalHidden(): Promise<void>;
    updateObjectsSelectedLabel(): Promise<void>;
    updateAllObjectsChevron(): void;
    isObjectTreeExpanded(): any;
    getAllObjectsChevron(): HTMLElement | null;
    getNodeForObjectTree(nodeId: any): Promise<any>;
    getNodesForObjectTree(nodeIds: any): Promise<any>;
    getSelectedObjectCount(): Promise<any>;
    getObjectTreeName(): "default" | "filtered";
}
import { VirtualizedList } from './VirtualizedList';
import { SearchInput } from '../SearchInput';
import { WindowAlertComponent } from '../WindowAlertComponent';
